#include <bits/stdc++.h>
using namespace std;
map<int, int> mp;
int main(){
  int n, x;
  cin >> n;
  string s= "";
  for(int i = 1;i <=n; i++){
    cin >> x;
    mp[x]=1;
  }
  for(int i = 0; i<n; i++){
    if(i%2) s = s+"2";
    else  s = s+"1";
  }
  cout << n << endl << s << endl;
    return 0;
}